/* ************* Footer *********** */

footer {
    background-color: var(--color-light-black);
    color: var(--color-white);
    width: 100%;   
    height: 300px;
    padding: 3% 3%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;       
    grid-template-areas:
    "column-1 column-2 column-3"
    "decor decor decor"
    "column-1 column-2 column-3"
    "column-1 column-2 column-3"
    "column-1 . .";    
    }

footer p {
    padding: 15px 0;
}

footer .column-1 {
   grid-area: column-1;
    line-height: 1.0;
    text-align: center;    
}
footer .column-1 a {
    background-color: var(--color-light-black);
    color: var(--color-white);
    text-decoration: none;       
}
footer .logo2 {
    width: 45%;    
    padding-top: 0;         
}
footer .column-2 {
   grid-area: column-2;
   line-height: 1.0;
   text-align: center;  
}
footer .decor {
    grid-area: decor;
    justify-self: center;     
}
footer .open-days {
    color: var(--color-gold); 
    line-height: 1.0;   
    font-size: 18px;
}
footer .column-3 {
   grid-area: column-3;
   line-height: 1.0;
   text-align: center;
}
footer .column-3 a {
    text-decoration: none;
}
footer .column-3-social {
    margin-bottom: 40px;
}
.column-3-social .fa-brands {
    border: 1px solid var(--color-dark-gray);
    border-radius: 50%;
    color: var(--color-dark-gray);
    width: 48px;
    height: 48px;
    transition: color 0.2s ease;   
    place-content: center;       
}
.column-3-social .fa-brands:hover {    
    border: 1px solid var(--color-dark-gray);
    border-radius: 50%;
    color: var(--color-white);
    background-color: var(--color-gold);
    width: 48px;
    height: 48px;
    transition: color 0.2s ease;    
    place-content: center;     
}
.footer-soc-img {   
    color: var(--color-white);
    background-color: var(--color-light-black);    
    padding: 1.5%;
    border: 1px solid var(--color-dark-gray);
    border-radius: 50%;
    color: var(--color-dark-gray);
    width: 48px;
    height: 48px;
}
.footer-soc-img:hover {    
    background-color:var(--color-gold);
    border: 1px solid var(--color-dark-gray);
    border-radius: 50%;
    color: var(--color-dark-gray);
    width: 48px;
    height: 48px;
}
footer .btn-home {
    cursor: pointer;    
    width: 80px;    
}
/* Media Queries */

@media screen and (max-width: 1050px) { 
    footer {
        display: grid;
        grid-template-columns: 1fr;                                 
        grid-template-rows: auto;       
        grid-template-areas:
        "column-1"
        "decor"
        "column-1"
        "column-1"
        "column-1 . ."

        "column-2"
        "decor"
        "column-2"
        "column-2"
        "."
              
        "column-3"
        "decor"
        "column-3" 
        "column-3";    
        }
        footer {
            width: 100%;
            height: auto;
        }
        .column-2 {
            padding: 5% 0 5% 0;
        }
    }


